Instantiates a ReflectionEnumBackedCase object

- « ReflectionEnumBackedCase

- ReflectionEnumBackedCase::getBackingValue »

- PHP Manual
- ReflectionEnumBackedCase
- Instantiates a ReflectionEnumBackedCase object

# ReflectionEnumBackedCase::__construct

(PHP 8 >= 8.1.0)

ReflectionEnumBackedCase::__construct — Instantiates a ReflectionEnumBackedCase object

### Description

public ReflectionEnumBackedCase::__construct(object|string `$class`, string `$constant`)

### Parameters

`class`

  An enum instance or a name.

`constant`

  An enum constant name.